------------------------------------------------------------------------------------
--Name：210527[简体征服][活动脚本]弓手觉醒预热活动
--Creator:      何若晖
--Created:     2021-05-27
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>190
--/reloadlua Script/ArcherAwakeningWarmUp1.lua

-- 设置视角
CppScriptMgr:SetViewPosByCell(58,62)
CppScriptMgr:SetLightScreen(4000)
CppScriptMgr:WaitMilSec(2000)
local GirNpc = CppScriptMgr:AddSimplePlayer(12010,50,62,"Mo Feng")
GirNpc:SetDir(6)
local effect1 = CppScriptMgr:AddEffect("moveback",50,62)
local hero = CppScriptMgr:QueryHero()
hero:SetDir(6)
hero:SetPos(52,58)
local effect2 = CppScriptMgr:AddEffect("moveback",52,58)
CppScriptMgr:WaitMilSec(1000)
local Monster1 = CppScriptMgr:AddPlayer(207, 67, 69, "Trapped Beast")
Monster1:SetZoomPercent(110)
Monster1:SetDir(3)

local Monster2 = CppScriptMgr:AddPlayer(981, 68, 64, "Mecha Pioneer")
Monster2:SetZoomPercent(130)
Monster2:SetDir(3)

local Monster3 = CppScriptMgr:AddPlayer(207, 67, 55, "Trapped Beast")
Monster3:SetZoomPercent(100)
Monster3:SetDir(3)

local Monster4 = CppScriptMgr:AddPlayer(207, 71, 59, "Trapped Beast")
Monster4:SetZoomPercent(100)
Monster4:SetDir(3)

-- GirNpc:SetAction(006)
GirNpc:Say("These Trapped Beasts are watching the Array of Gems. Only by killing 100 Trapped Beasts, the array will be activated.",5000)
hero:SetAction(230)
CppScriptMgr:WaitMilSec(2000)
hero:Say("Let`s get a move on!",4000)

CppScriptMgr:WaitMilSec(3000)
hero:RunTo(58, 63)
GirNpc:RunTo(60, 54)

Monster1:RunTo(58, 63)
Monster2:RunTo(60, 54)
Monster3:RunTo(53, 56)
Monster4:RunTo(60, 63)

CppScriptMgr:WaitMilSec(1200)

